<?php
namespace Mirasvit\LayeredNavigation\Block\Adminhtml\Filter\FiltersManager;

/**
 * Interceptor class for @see \Mirasvit\LayeredNavigation\Block\Adminhtml\Filter\FiltersManager
 */
class Interceptor extends \Mirasvit\LayeredNavigation\Block\Adminhtml\Filter\FiltersManager implements \Magento\Framework\Interception\InterceptorInterface
{
    use \Magento\Framework\Interception\Interceptor;

    public function __construct(\Magento\Catalog\Model\ResourceModel\Product\Attribute\Collection $collection, \Mirasvit\LayeredNavigation\Model\Config\HorizontalBarConfigProvider $horizontalBarConfigProvider, \Magento\Backend\Block\Template\Context $context)
    {
        $this->___init();
        parent::__construct($collection, $horizontalBarConfigProvider, $context);
    }

    /**
     * {@inheritdoc}
     */
    public function getUrl($route = '', $params = [])
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'getUrl');
        return $pluginInfo ? $this->___callPlugins('getUrl', func_get_args(), $pluginInfo) : parent::getUrl($route, $params);
    }
}
